Subject: Re: bug#52063: 28.0.60; Confusing presentation of lambda

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Nov 2021 12:19:51 -0500

>> > But perhaps others have other opinions here?
>> Compile your code and the problem goes away (because you'll never see
>> (lambda ...) or (closure ...) values, they'll all be
>> byte-code-functions instead ;-)
> I don't want to compile my .emacs.
> Any other words of wisdom before I write this off as another annoyance
> of lexical-binding, and take care to disable that wherever I can?

The other word of wisdom is:
Don't add lambdas to hook.  Always name those functions.

That's good advice regardless of lexical/dynamic scoping.

        Stefan